<template>
    <div class="flex align-middle">
        <input
            v-model="searchString"
            type="text" placeholder="Search..."
            class="p-2 pr-6 w-52 text-gray-900 bg-gray-50 rounded-lg border border-gray-300 text-sm focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        />
        <button
            v-if="searchString"
            @click.prevent="resetSearch()"
            class="relative flex justify-end items-center inset-0 z-10"
        >
            <span class="absolute px-2">
                <font-awesome-icon icon="fa-solid fa-xmark" />
            </span>
        </button>
        <button
            @click="performSearch()"
            class="max-h-52 overflow-auto py-2 px-3 text-sm font-semibold float-right"
        >
            <div class="pr-6 text-gray-600 hover:text-black">
                <font-awesome-icon icon="fa-solid fa-magnifying-glass" />
            </div>
        </button>
    </div>
</template>

<script>
    export default {
        props: {
            search: {
                type: String,
                default: ''
            }
        },
        data() {
            return {
                searchString: this.search,
            }
        },
        methods: {
            resetSearch() {
                this.$emit('resetSearch');
            },
            performSearch() {
                this.$emit('performSearch', this.searchString);
            },
        },
    }
</script>
